# Slashing Metrics

## Contents

* [Count of Double Attestation Slashing Events](#slashattdblevcnt)
* [Count of Attester Slashing Events](#slashattevcnt)
* [Count of Surrounding Attestation Slashing Events](#slashattsurrevcnt)
* [Proposer Slashing Events](#slashpropevcnt)
* [Total Slashing Events](#slashevcnt)
* [Slashed Amounts](#slashedntv)

## Count of Double Attestation Slashing Events <a href="#slashattdblevcnt" id="slashattdblevcnt"></a>

### Definition

Count of attester slashing events cause by double attestations

| Name                                        | MetricID         | Unit | Interval |
| ------------------------------------------- | ---------------- | ---- | -------- |
| Count of Double Attestation Slashing Events | SlashAttDblEvCnt | N/A  | 1 minute |

### Details

* Count of the total double attesting slashing events enforced by the protocol in the last 1 minute

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashAttDblEvCnt>" %}

## Count of Attester Slashing Events <a href="#slashattevcnt" id="slashattevcnt"></a>

### Definition

Count of attester slashing events.

| Name                           | MetricID      | Unit | Interval |
| ------------------------------ | ------------- | ---- | -------- |
| Count Attester Slashing Events | SlashAttEvCnt | N/A  | 1 minute |

### Details

* Count of the total attester slashing events enforced by the protocol in the last 1 minute

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashAttEvCnt>" %}

## Count of Surrounding Attestation Slashing Events <a href="#slashattsurrevcnt" id="slashattsurrevcnt"></a>

### Definition

Count of attester slashing events.

| Name                                             | MetricID          | Unit | Interval |
| ------------------------------------------------ | ----------------- | ---- | -------- |
| Count of Surrounding Attestation Slashing Events | SlashAttSurrEvCnt | N/A  | 1 minute |

### Details

* Count of the total Surrounding Attestation Slashing events enforced by the protocol in the last 1 minute

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashAttSurrEvCnt>" %}

## Proposer Slashing Events <a href="#slashpropevcnt" id="slashpropevcnt"></a>

### Definition

Count of total number of slashing events.

| Name                     | MetricID       | Unit | Interval |
| ------------------------ | -------------- | ---- | -------- |
| Proposer Slashing Events | SlashPropEvCnt | N/A  | 1 minute |

### Details

* Count of the total number of proposer slashing events enforced by the protocol in the last 1 minute

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashPropEvCnt>" %}

### Definition

Count of attester slashing events.

| Name                                             | MetricID          | Unit | Interval |
| ------------------------------------------------ | ----------------- | ---- | -------- |
| Count of Surrounding Attestation Slashing Events | SlashAttSurrEvCnt | N/A  | 1 minute |

### Details

* Count of the total Surrounding Attestation Slashing events enforced by the protocol in the last 1 minute

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashAttSurrEvCnt>" %}

## Total Slashing Events <a href="#slashevcnt" id="slashevcnt"></a>

### Definition

Count of total number of slashing events.

| Name                  | MetricID   | Unit   | Interval |
| --------------------- | ---------- | ------ | -------- |
| Total Slashing Events | SlashEvCnt | Events | 1 minute |

### Details

* Count of the total number of slashing events, including attester and proposer slashing events enforced by the protocol in the last 1 minute

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashEvCnt>" %}

## Slashed Amounts <a href="#slashedntv" id="slashedntv"></a>

### Definition

Amount of tokens slashed from Validators in native units

| Name            | MetricID   | Unit         | Interval      |
| --------------- | ---------- | ------------ | ------------- |
| Slashed Amounts | SlashedNtv | Native Units | 1 day, 1 hour |

### Asset Specific Details

This metric is available for Ethereum only under the ETH\_CL ticker. The definition of slashing follows that of Ethereum as outlined here: <https://ethereum.org/en/developers/docs/consensus-mechanisms/pos/rewards-and-penalties/#slashing>

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/SlashedNTV>" %}

## API Endpoints

Slashing metrics can be accessed using these endpoints:

* `timeseries/asset-metrics`

and by passing in the metric ID's `Slash*` in the `metrics` parameter.

{% tabs %}
{% tab title="Shell" %}

```shell
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=SlashAttDblEvCnt&assets=eth_cl&frequency=1m&pretty=true&api_key=<your_key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=SlashAttDblEvCnt&assets=eth_cl&frequency=1m&pretty=true&api_key=<your_key>').json()
print(response)
```

{% endtab %}

{% tab title="Python Client" %}

```python
from coinmetrics.api_client import CoinMetricsClient

api_key = "<API_KEY>"
client = CoinMetricsClient(api_key)

print(
    client.get_asset_metrics(
        metrics="SlashAttDblEvCnt", 
        assets="eth_cl",
    ).to_dataframe()
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/staking/slashing-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
